<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.csreport.mapper.RStatDataHarmpowerSDMapper">
  <resultMap id="BaseResultMap" type="com.njcn.csreport.pojo.po.RStatDataHarmpowerSD">
    <!--@mbg.generated-->
    <!--@Table r_stat_data_harmpower_s_d-->
    <result column="time" jdbcType="TIMESTAMP" property="time" />
    <result column="line_id" jdbcType="VARCHAR" property="lineId" />
    <result column="phasic_type" jdbcType="VARCHAR" property="phasicType" />
    <result column="value_type" jdbcType="VARCHAR" property="valueType" />
    <result column="quality_flag" jdbcType="INTEGER" property="qualityFlag" />
    <result column="s" jdbcType="DECIMAL" property="s" />
    <result column="s_1" jdbcType="DECIMAL" property="s1" />
    <result column="s_2" jdbcType="DECIMAL" property="s2" />
    <result column="s_3" jdbcType="DECIMAL" property="s3" />
    <result column="s_4" jdbcType="DECIMAL" property="s4" />
    <result column="s_5" jdbcType="DECIMAL" property="s5" />
    <result column="s_6" jdbcType="DECIMAL" property="s6" />
    <result column="s_7" jdbcType="DECIMAL" property="s7" />
    <result column="s_8" jdbcType="DECIMAL" property="s8" />
    <result column="s_9" jdbcType="DECIMAL" property="s9" />
    <result column="s_10" jdbcType="DECIMAL" property="s10" />
    <result column="s_11" jdbcType="DECIMAL" property="s11" />
    <result column="s_12" jdbcType="DECIMAL" property="s12" />
    <result column="s_13" jdbcType="DECIMAL" property="s13" />
    <result column="s_14" jdbcType="DECIMAL" property="s14" />
    <result column="s_15" jdbcType="DECIMAL" property="s15" />
    <result column="s_16" jdbcType="DECIMAL" property="s16" />
    <result column="s_17" jdbcType="DECIMAL" property="s17" />
    <result column="s_18" jdbcType="DECIMAL" property="s18" />
    <result column="s_19" jdbcType="DECIMAL" property="s19" />
    <result column="s_20" jdbcType="DECIMAL" property="s20" />
    <result column="s_21" jdbcType="DECIMAL" property="s21" />
    <result column="s_22" jdbcType="DECIMAL" property="s22" />
    <result column="s_23" jdbcType="DECIMAL" property="s23" />
    <result column="s_24" jdbcType="DECIMAL" property="s24" />
    <result column="s_25" jdbcType="DECIMAL" property="s25" />
    <result column="s_26" jdbcType="DECIMAL" property="s26" />
    <result column="s_27" jdbcType="DECIMAL" property="s27" />
    <result column="s_28" jdbcType="DECIMAL" property="s28" />
    <result column="s_29" jdbcType="DECIMAL" property="s29" />
    <result column="s_30" jdbcType="DECIMAL" property="s30" />
    <result column="s_31" jdbcType="DECIMAL" property="s31" />
    <result column="s_32" jdbcType="DECIMAL" property="s32" />
    <result column="s_33" jdbcType="DECIMAL" property="s33" />
    <result column="s_34" jdbcType="DECIMAL" property="s34" />
    <result column="s_35" jdbcType="DECIMAL" property="s35" />
    <result column="s_36" jdbcType="DECIMAL" property="s36" />
    <result column="s_37" jdbcType="DECIMAL" property="s37" />
    <result column="s_38" jdbcType="DECIMAL" property="s38" />
    <result column="s_39" jdbcType="DECIMAL" property="s39" />
    <result column="s_40" jdbcType="DECIMAL" property="s40" />
    <result column="s_41" jdbcType="DECIMAL" property="s41" />
    <result column="s_42" jdbcType="DECIMAL" property="s42" />
    <result column="s_43" jdbcType="DECIMAL" property="s43" />
    <result column="s_44" jdbcType="DECIMAL" property="s44" />
    <result column="s_45" jdbcType="DECIMAL" property="s45" />
    <result column="s_46" jdbcType="DECIMAL" property="s46" />
    <result column="s_47" jdbcType="DECIMAL" property="s47" />
    <result column="s_48" jdbcType="DECIMAL" property="s48" />
    <result column="s_49" jdbcType="DECIMAL" property="s49" />
    <result column="s_50" jdbcType="DECIMAL" property="s50" />
  </resultMap>
  <sql id="Base_Column_List">
    <!--@mbg.generated-->
    `time`, line_id, phasic_type, value_type, quality_flag, s, s_1, s_2, s_3, s_4, s_5, 
    s_6, s_7, s_8, s_9, s_10, s_11, s_12, s_13, s_14, s_15, s_16, s_17, s_18, s_19, s_20, 
    s_21, s_22, s_23, s_24, s_25, s_26, s_27, s_28, s_29, s_30, s_31, s_32, s_33, s_34, 
    s_35, s_36, s_37, s_38, s_39, s_40, s_41, s_42, s_43, s_44, s_45, s_46, s_47, s_48, 
    s_49, s_50
  </sql>
</mapper>